Class | WSDL::Message
In: | wsdl/message.rb
Parent: | Info

### Methods

new parse_attr parse_element targetnamespace

### Attributes

name | [R] |
parts | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/message.rb, line 19
      def initialize
        super
        @name = nil
        @parts = []
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/message.rb, line 43
      def parse_attr(attr, value)
        case attr
        when NameAttrName
          @name = XSD::QName.new(parent.targetnamespace, value.source)
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/message.rb, line 29
      def parse_element(element)
        case element
        when PartName
          o = Part.new
          @parts << o
          o
        when DocumentationName
          o = Documentation.new
          o
        else
          nil
        end
      end

targetnamespace()

[Source]

    # File wsdl/message.rb, line 25
      def targetnamespace
        parent.targetnamespace
      end

[Validate]